import java.applet.Applet;
import java.awt.*;
public class kolm1 extends Applet{
int arv=3;
public void init(){
String hulk=getParameter("kogus");
arv=Integer.parseInt(hulk);
this.setForeground(Color.white);
Graphics g=this.getGraphics();
g.setColor(Color.white);
g.fillRect(0, 0, this.bounds().x, this.bounds().y);
repaint();
}
public void start(){repaint();}

public void kolmnurk(int n, int x, int y, float nurk, Graphics g, Color c){
int i, j;
float ns, nc;
ns=(float)Math.sin(nurk);
nc=(float)Math.cos(nurk);
g.setColor(Color.white);
g.fillRect(0, 0, 300, 300);
g.setColor(c);
for(i=0; i<n; i++)
for(j=0; j<=i; j++){
g.fillOval(x+(int)(nc*20*j+ns*20*i),y+(int)(nc*20*i-ns*20*j), 10, 10);
 }
}

public void paint(Graphics g){
 kolmnurk(arv, 100, 100, (float)(5*Math.PI/4), g, Color.red);
}


}
